Package org.apache.sysds.runtime.controlprogram.federated.compression

# Class CompressionEncoderEndStatisticsHandler

java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelOutboundHandlerAdapter
org.apache.sysds.runtime.controlprogram.federated.compression.CompressionEncoderEndStatisticsHandler

All Implemented Interfaces:
  `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelOutboundHandler`

public class CompressionEncoderEndStatisticsHandler extends io.netty.channel.ChannelOutboundHandlerAdapter

## Nested Class Summary

## Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

## Constructor Summary

Constructors
Constructor
Description
`CompressionEncoderEndStatisticsHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`write(io.netty.channel.ChannelHandlerContext ctx, Object msg, io.netty.channel.ChannelPromise promise)`

### Methods inherited from class io.netty.channel.ChannelOutboundHandlerAdapter

`bind, close, connect, deregister, disconnect, flush, read`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`exceptionCaught, handlerAdded, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`exceptionCaught, handlerAdded, handlerRemoved`

## Constructor Details

### CompressionEncoderEndStatisticsHandler

public CompressionEncoderEndStatisticsHandler()

## Method Details

### write

public void write(io.netty.channel.ChannelHandlerContext ctx, Object msg, io.netty.channel.ChannelPromise promise) throws Exception

Specified by:
  `write` in interface `io.netty.channel.ChannelOutboundHandler`
Overrides:
  `write` in class `io.netty.channel.ChannelOutboundHandlerAdapter`
Throws:
  `Exception`